Subject: Re: [TR] part needed

From: <[email-masked]>
Date: Sat, 9 May 2015 15:21:58 +0000

If you have a small order you can save by using Little British Car co. Lbcarco.com they will ship by your chosen method at actual cost.  I think they may have a small, reasonable minimum order, usually takes a couple days more cause they get it through Moss.  Also, maybe not your screws, but you can get many of small parts on eBay for free or reasonable shipping.

Greg Lemon

---- Randall <[email-masked]> wrote: 
> > I don't mind buying the part, it's the shipping that gets you
> 
> That is a problem.  One of the things I do to reduce it a bit is have a list of items I'll need eventually but not right now (like
> tune-up parts or trim items).  Then when I need just one thing, I can throw some others in to amortize the shipping cost across
> multiple items.  TRF's web site has a "wish list" feature that makes it easy to do.
> 
> OTOH, the pair of brake rotors I got the other day only cost $10 for shipping all the way to Los Angeles.  Seemed reasonable to me.
> 
> -- Randall  
> 
> 
> ** [email-masked] **
> 
> Donate: http://www.team.net/donate.html
> Archive: http://www.team.net/archive
> Forums: http://www.team.net/forums
> Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]

** [email-masked] **

Archive: http://www.team.net/archive